`timescale 1ns / 1ps
`default_nettype none

module core_tb;
  logic clk_100mhz;

  logic mm1_ready, mm1_valid, mm2_ready, mm2_valid;
  logic [31:0] mm1_data, mm2_data;
  logic ma1_ready, ma1_valid;
  logic [31:0] ma1_data;
  adder ma1 (.aclk(clk_100mhz),
             .s_axis_a_tdata(mm1_data),
             .s_axis_a_tready(mm1_ready),
             .s_axis_a_tvalid(mm1_valid),
             .s_axis_b_tdata(mm2_data),
             .s_axis_b_tready(mm2_ready),
             .s_axis_b_tvalid(mm2_valid),
             .m_axis_result_tdata(ma1_data),
             .m_axis_result_tready(ma1_ready),
             .m_axis_result_tvalid(ma1_valid));

  always begin
    #5;
    clk_100mhz = !clk_100mhz;
  end
  initial begin
    $dumpfile("test.vcd");
    $dumpvars(0,core_tb);
    $display("Starting simulation...");
    clk_100mhz = 0;
    mm1_data = 'h3fa9999a;
    mm2_data = 'h3fa9999a;
    mm1_valid = 1;
    mm2_valid = 1;
    ma1_ready = 1;
    #10;
    for (int i=0; i<250; i=i+1)begin
      mm1_data = mm1_data-1;
      mm2_data = mm2_data+1;
      #10;
      //$display("%04x %04x %04x %01b %01b %01b\n",mm1_data, mm2_data, ma1_data, mm1_ready, mm2_ready, ma1_valid);
    end
    $finish;
  end
endmodule

`default_nettype wire
